//弹出框
function alertbox(content){
	  var objMsg=document.createElement("div");
	  var s=" ";
	  if(content==1){
		  s+='<div class="thickbox">';
		  s+='  <div class="thickbox_top"><img id="closes" class="closes" width="20" height="18" src="image/icon/close.gif"></div>';
		  s+='  <div class="thickbox_contain">';
		  s+='    <div id="common_kt">';
		  s+='       <div><p><i class="kt"></i>正在为您开通体验云主机...</p></div>';
		  s+='       <img src="image/pic/jindu.gif" width="190" height="14" class="mar_top10" />';
		  s+='    </div>';
		  s+='    <h3 class="Tit">云主机使用说明</h3>';
		  s+='    <p class="p2">1、云主机开通大致需要30秒钟，开通成功后点击确定按钮可进入管理界面，若您中途离开了本页面，可通过访问“51IDC用户中心>我的IDC>云主机”频道找到管理界面。<br />2、您可以使用"远程桌面/SSH"等工具连接并使用云主机，云主机IDC地址和用户名/密码可通过管理界面查看，或查阅我们的开通邮件。</p>';
		  s+='  </div>';
		  s+='</div>';
	  }
      objMsg.innerHTML=s;
	  document.body.appendChild(objMsg);
	  var objbody=document.createElement("div");
	  objbody.setAttribute("id","mainbg");
	  var iWidth=document.documentElement.clientWidth;
	  var iHeight=document.documentElement.clientHeight;
	  var iTop;
      if(document.documentElement && document.documentElement.scrollTop){
		  iTop=document.documentElement.scrollTop;
	  }
	  else if(document.body){
		  iTop=document.body.scrollTop;
		}
	  var ele_height=$(".thickbox").height()/2;
	  var ele_width=$(".thickbox").width()/2;
	  var cur_iTop=iHeight/2+iTop-ele_height;
	  var cur_ileft=iWidth/2-ele_width;
	  objbody.style.cssText="position:absolute;left:0px;top:0px;background-color:#E2E0E0;filter:Alpha(Opacity=60);opacity:0.6;width:"+iWidth+"px;height:"+Math.max(document.body.clientHeight, iHeight)+"px;z-index:101;";
	  document.body.appendChild(objbody);
	  objMsg.style.cssText="position:absolute;left:"+cur_ileft+"px;top:"+cur_iTop+"px;width:310px;height:172px;z-index:999;background-color:#FFFFFF;";
	  var btnclose=document.getElementById("closes"); 
	  btnclose.onclick=function(){
		  document.body.removeChild(objbody);   
		  document.body.removeChild(objMsg); 		  
	  }
}
//flash
var nn = 1;
function change_img() {
	var count=$("#num_pic a").size();
	for ( var a = 1; a <= count; a++) {
		document.getElementById("pic_" + a).className = "undis"
	}
	document.getElementById("pic_" + nn).className = "dis";
	for ( var a = 1; a <= count; a++) {
		document.getElementById("num_" + a).className = "g_col"
	}
	document.getElementById("num_" + nn).className = "o_col";
	nn++;
	if (nn > count) {
		nn = 1
	}
	tt = setTimeout("change_img()", 7000)
}
function changeImg(a) {
	nn = a;
	window.clearInterval(tt);
	change_img()
}
//菜单栏
$(document).ready(function() {
  $('.menu .menu1_hover').mouseover(function(){
	         $(".menu li .menu_text").eq($('.menu li').index(this)-1).css("display","block");
  });
  $('.menu .menu1_hover').mouseout(function(){
	      	 $(".menu li .menu_text").eq($('.menu li').index(this)-1).css("display","none");
  });
  $(".dk").click(function(){
	  if($('.dk').index(this)>0){
		  $(".nav_tab li").eq($('.dk').index(this)).removeClass("normal").addClass("hover").siblings().removeClass("hover").addClass("normal");		
		  $(".nav_main").eq($('.dk').index(this)).show().siblings(".nav_main").hide();
		  }
  });
  $(".cloud_tab").click(function(){
	  if($('.cloud_tab').index(this)>0){
		  $(".cl_tab li").eq($('.cloud_tab').index(this)).removeClass("cl_normal").addClass("cl_hover").siblings("li").removeClass("cl_hover").addClass("cl_normal");
		  $(".cl_column").eq($('.cloud_tab').index(this)).show().siblings(".cl_column").hide();
		  }
  });
   $(".cloud_tab1").click(function(){
	  if($('.cloud_tab1').index(this)>0){
		 $(".cl_tab li").eq($('.cloud_tab1').index(this)).removeClass("cl_normal").addClass("cl_hover").siblings("li").removeClass("cl_hover").addClass("cl_normal");
		  $(".cl_column").eq($('.cloud_tab1').index(this)).show().siblings(".cl_column").hide();
		  }
  });

  $('.item_hover').mouseover(function(){
			  $(".data_main").eq($('.item_hover').index(this)).addClass("dis").removeClass("undis").siblings(".data_main").removeClass("dis").addClass("undis");	
  });
//企业QQ
  $(window).scroll(function(){
	var scrolltop=$(document).scrollTop();

	var cur_top=$(".chat_wrap").css("top");
	var curtop=String(cur_top);
	var height=curtop.slice(0,curtop.length-2);
	var cur_height=parseInt(height);

 
	if(scrolltop>149){
		if (window.XMLHttpRequest) { 
		     $(".chat_wrap").css("position","fixed");
		     $(".chat_wrap").css("top","0px");
		}else{
			var scrolltop=$(document).scrollTop();
			$(".chat_wrap").css("position","absolute");
			$(".chat_wrap").css("top",scrolltop+"px");
			}

		}
	else{
		$(".chat_wrap").css("position","absolute");
		$(".chat_wrap").css("top","149px");
		}
  });
//菜单栏样式变换	
	        var test=location.href;
			var href2=test.indexOf("/idcIntr");
			var href3=test.indexOf("/index");
			var href4=test.indexOf("/datacenter");
			var href5=test.indexOf("/managed");
			var href6=test.indexOf("/dedicated.html");
			var href7=test.indexOf("/cloudhosting.html");
			var href7_1=test.indexOf("/safeCloud.html");
			var href8=test.indexOf("/bandwith");
			var href9=test.indexOf("/hosting.html");
			var href10=test.indexOf("/idc/integral/pointsmall");
		   if(href2>0 || href4>0){
				$(".menu li").eq(6).removeClass("menu_2").addClass("menu_1").siblings("li").removeClass("menu_1").addClass("menu_2");}	
		     else if(href3>0 || test=="http://www.51idc.com/"){
				
				$(".menu li").eq(0).removeClass("menu_2").addClass("menu_1").siblings("li").removeClass("menu_1").addClass("menu_2");	
				}
			 else if(href5>0){
				$(".menu li").eq(5).removeClass("menu_2").addClass("menu_1").siblings("li").removeClass("menu_1").addClass("menu_2");	
				}
			 else if(href6>0){
				$(".menu li").eq(1).removeClass("menu_2").addClass("menu_1").siblings("li").removeClass("menu_1").addClass("menu_2");	
				}
			 else if(href7>0){
				$(".menu li").eq(3).removeClass("menu_2").addClass("menu_1").siblings("li").removeClass("menu_1").addClass("menu_2");	
				
				}
			 else if(href7_1>0){
				$(".menu li").eq(3).removeClass("menu_2").addClass("menu_1").siblings("li").removeClass("menu_1").addClass("menu_2");	
		
				 }
			else if(href8>0){
				$(".menu li").eq(4).removeClass("menu_2").addClass("menu_1").siblings("li").removeClass("menu_1").addClass("menu_2");	
				}
			else if(href9>0){
				$(".menu li").eq(2).removeClass("menu_2").addClass("menu_1").siblings("li").removeClass("menu_1").addClass("menu_2");	
				}
			else if(href10>0){
				$(".menu li").eq(7).removeClass("menu_2").addClass("menu_1").siblings("li").removeClass("menu_1").addClass("menu_2");	
				}
		    else{
				$(".menu li").removeClass("menu_1").addClass("menu_2");	
				}
		
			$.ajax({
				   type: "POST",
				   url: "/usercenter/login_datas.jsp",
				   success: function(msg){
				   if(msg!=0){
					   $("#51idc").empty();
					   $("#51idc").append(msg);
					   }
				   }
				});
//云主机的线路选择				
	$('.xl_select').click(function(){
			$(this).addClass("selected").removeClass("s_normal").siblings(".xl_select").removeClass("selected").addClass("s_normal");
    });
//云主机的右下菜单的选择
	$(".Tab li").click(function(){
		$(this).removeClass("normal").addClass("hover").siblings("li").removeClass("hover").addClass("normal");
		$(".cloud_main").eq($('.Tab li').index(this)).show().siblings(".cloud_main").hide();
	});
//帮助中心的职位选择
    $(".depart li").click(function(){
        $(this).addClass("hover").siblings("li").removeClass("hover");
		$(this).children("i").removeClass("undis").addClass("dis").parent("li").siblings().children("i").removeClass("dis").addClass("undis");
        $(".main_info").eq($('.depart li').index(this)).show().siblings(".main_info").hide();
	});
	$(".position_n li").click(function(){
		$(this).addClass("hover").siblings("li").removeClass("hover");
        $(".position_d").eq($('.position_n li').index(this)).show().siblings(".position_d").hide();
		$(".duty").eq($('.position_n li').index(this)).show().siblings(".duty").hide();
	});
//管理服务
 $(".managed_tab li span").click(function(){
        $(this).addClass("blue1").parent("li").siblings().children().removeClass("blue1");	
		$(".managed_sevice").eq($('.managed_tab li span').index(this)).show().siblings(".managed_sevice").hide();
    });
	var fw=test.indexOf("/managed/firewall.html");
	var mg=test.indexOf("/managed/managed.html");
	var dd=test.indexOf("/managed/DDos.html");
	var mt=test.indexOf("/managed/monitor.html");
	var lb=test.indexOf("/managed/loadbanl.html");
	var bk=test.indexOf("/managed/backup.html");
	if(fw>-1){
		document.getElementById("a_1").className = 'img_arrow dis';
		}
	else if(mg>-1){
		document.getElementById("pic_2").className = 'dis';
		document.getElementById("pic_1").className = 'undis';
		}
	else if(dd>-1){
		document.getElementById("pic_3").className = 'dis';
		document.getElementById("pic_1").className = 'undis';
		}
	else if(mt>-1){
		document.getElementById("pic_4").className = 'dis';
		document.getElementById("pic_1").className = 'undis';
		}
	else if(lb>-1){
		document.getElementById("pic_5").className = 'dis';
		document.getElementById("pic_1").className = 'undis';
		}
	else if(bk>-1){
		document.getElementById("pic_6").className = 'dis';
		document.getElementById("pic_1").className = 'undis';
		}
});
